<?php
/**
 * Body Classes.
 * @package Training Institute Academy
 */

if (!function_exists('training_institute_academy_body_classes')) :

    function training_institute_academy_body_classes($training_institute_academy_classes)
    {
        $training_institute_academy_defaults = training_institute_academy_get_default_theme_options();
        $training_institute_academy_layout = training_institute_academy_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $training_institute_academy_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $training_institute_academy_classes[] = $training_institute_academy_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('training_institute_academy_copyright_alignment', 'Default');
        $training_institute_academy_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $training_institute_academy_classes;
    }

endif;

add_filter('body_class', 'training_institute_academy_body_classes');